CVE-2018-12399

Name
CVE-2018-12399
Description
When a new protocol handler is registered, the API accepts a title argument which can be used to mislead users about which domain is registering the new protocol. This may result in the user approving a protocol handler that they otherwise would not have. This vulnerability affects Firefox < 63.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Vendor Advisory https://www.mozilla.org/security/advisories/mfsa2018-26/
Issue Tracking https://bugzilla.mozilla.org/show_bug.cgi?id=1490276
Third Party Advisory https://usn.ubuntu.com/3801-1/
VDB Entry http://www.securitytracker.com/id/1041944
Third Party Advisory http://www.securityfocus.com/bid/105721

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:mozilla:firefox:*:*:*:*:*:*:*:* firefox >= None < 63.0

Vulnerable and fixed packages

Source package Branch Version Maintainer Status